<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- FileDetails/Synopsis/TypeAnalysis/Type.hh.html -->
<!-- this view was generated by FileDetails -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/TypeAnalysis/Type.hh Details</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileDetails">
<div class="navigation">
<span class="normal"><a href="../../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Synopsis/TypeAnalysis/Type.hh</h1><div><a href="../../../Source/Synopsis/TypeAnalysis/Type.hh.html" target="content">source code</a></div>
<h2 class="heading">Includes from this file:</h2><ul>
<li>include <a href="Visitor.hh.html" >Synopsis/TypeAnalysis/Visitor.hh</a></li>
</ul>
<h2 class="heading">Declarations in this file:</h2>
<div><h3>Classes in Synopsis::TypeAnalysis</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Array.html" >Array</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/BuiltinType.html" >BuiltinType</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/CVType.html" >CVType</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Class.html" >Class</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Compound.html" >Compound</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Enum.html" >Enum</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Function.html" >Function</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Pointer.html" >Pointer</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/PointerToMember.html" >PointerToMember</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Reference.html" >Reference</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Type.html" >Type</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Union.html" >Union</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::TypeAnalysis::Array</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Array.html#my_type" >my_type</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::TypeAnalysis::CVType</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/CVType.html#my_qual" >my_qual</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/CVType.html#my_type" >my_type</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/CVType.html#names" >names</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::TypeAnalysis::Class</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Class.html#my_kind" >my_kind</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::TypeAnalysis::Function</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Function.html#my_type" >my_type</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::TypeAnalysis::Pointer</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Pointer.html#my_type" >my_type</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::TypeAnalysis::PointerToMember</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/PointerToMember.html#my_container" >my_container</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/PointerToMember.html#my_member" >my_member</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::TypeAnalysis::Reference</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Reference.html#my_type" >my_type</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::TypeAnalysis::Type</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Type.html#my_name" >my_name</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Type.html#my_refcounter" >my_refcounter</a>
<div class="doc"></div></div>

</div>
<div><h3>Enums in Synopsis::TypeAnalysis::CVType</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/CVType.html#CVQualifier" >CVQualifier</a>
<div class="doc"></div></div>

</div>
<div><h3>Enums in Synopsis::TypeAnalysis::Class</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Class.html#Kind" >Kind</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::TypeAnalysis::CVType</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/CVType.html#CVType_lconst.Type_S_cCVQualifier_r" >CVType&#40;const&#160;Type*&#44;CVQualifier&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::TypeAnalysis::Class</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Class.html#Class_lKind_cconst.std_mstring_A_r" >Class&#40;Kind&#44;const&#160;std::string&amp;&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::TypeAnalysis::Pointer</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Pointer.html#Pointer_lconst.Type_S_r" >Pointer&#40;const&#160;Type*&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::TypeAnalysis::Type</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Type.html#Type_lconst.std_mstring_A_r" >Type&#40;const&#160;std::string&amp;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Type.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Type.html#_tType_l_r" >~Type&#40;&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Namespace variables in Synopsis::TypeAnalysis</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#BOOL" >BOOL</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#CHAR" >CHAR</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#DOUBLE" >DOUBLE</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#FLOAT" >FLOAT</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#INT" >INT</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#LONG" >LONG</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#SCHAR" >SCHAR</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#SHORT" >SHORT</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#SINT" >SINT</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#SLONG" >SLONG</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#SSHORT" >SSHORT</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#UCHAR" >UCHAR</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#UINT" >UINT</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#ULONG" >ULONG</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#USHORT" >USHORT</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#WCHAR" >WCHAR</a>
<div class="doc"></div></div>
</div>

</body>
</html>
